<?php

/*
+---------------------------------------------------------------------------+
| Max Media Manager v0.2                                                    |
| =================                                                         |
|                                                                           |
| Copyright (c) 2003-2004 Awarez Ltd.                                       |
| For contact details, see: http://www.awarez.net/                          |
|                                                                           |
| This program is free software; you can redistribute it and/or modify      |
| it under the terms of the GNU General Public License as published by      |
| the Free Software Foundation; either version 2 of the License, or         |
| (at your option) any later version.                                       |
|                                                                           |
| This program is distributed in the hope that it will be useful,           |
| but WITHOUT ANY WARRANTY; without even the implied warranty of            |
| MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the             |
| GNU General Public License for more details.                              |
|                                                                           |
| You should have received a copy of the GNU General Public License         |
| along with this program; if not, write to the Free Software               |
| Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA |
+---------------------------------------------------------------------------+
$Id: TestOfStatistics.php 1013 2004-11-26 11:43:27Z andrew $
*/

/**
 * @package    MaxMaintenance
 * @subpackage TestSuite
 * @author     Andrew Hill <andrew@awarez.net>
 */

require_once maintenancePath . '/maintenance-common.php';
require_once maintenancePath . '/libraries/max/Dal/TableCore.php';
require_once maintenancePath . '/libraries/max/Maintenance/Statistics.php';
require_once maintenancePath . '/libraries/pear/Log.php';

/**
 * A class for testing the Maintenance_Statistics class.
 */
class Maintenance_TestOfStatistics extends UnitTestCase
{
    
    /**
     * The constructor method.
     */
    function Maintenance_TestOfStatistics()
    {        
        $this->UnitTestCase();
    }
    
    /**
     * Test the creation of an AdServer module via the factory.
     */
    function testCreateAdServer()
    {
        debug('Running test', PEAR_LOG_DEBUG);
        $conf =& $GLOBALS['_MAX']['CONF'];
        $conf['table']['split'] = false;
        $tables =& Dal_Table_Core::singleton();
        // Create the required tables
        $tables->createTable('data_raw_ad_impression');
        $tables->createTable('log_maintenance_statistics');
        Maintenance_Statistics::instance('AdServer', $msObj);
        $this->assertEqual(get_class($msObj), 'maintenance_statistics_adserver');
        // Drop the tables
        $tables->dropTable($conf['table']['data_raw_ad_impression']);
        $tables->dropTable($conf['table']['log_maintenance_statistics']);
    }
    
}

?>